{% extends 'dragonboard-410c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet serial-box05 7105'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set adb_serial_number = '2cdd3b90' %}
{% set fastboot_serial_number = '2cdd3b90' %}

{# OTG connected to USB port 9 #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 9 --mode sync -n lkft-slave05-hub01' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 9 --mode off -n lkft-slave05-hub01' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control --usb_port 9 --mode off -n lkft-slave05-hub01',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu07 --command reboot --port 13 --delay 30',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 9 --mode sync -n lkft-slave05-hub01'] %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu07 --command on --port 13' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu07 --command off --port 13',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 9 --mode off -n lkft-slave05-hub01'] %}
{% set device_info = [{'board_id': '2cdd3b90'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-410c', 'worker': 'lkft-slave05.lkftlab', 'tags': ['new-firmware', 'cambridge-lab', 'production'], 'aliases': []} %}
